# ExplicitPrivacyCriterion (ARX GUI Documentation)

org.deidentifier.arx.criteria

## Class ExplicitPrivacyCriterion

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ExplicitPrivacyCriterion

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BasicBLikeness, DDisclosurePrivacy, EnhancedBLikeness, LDiversity, TCloseness

      public abstract class ExplicitPrivacyCriterion
      extends PrivacyCriterion

  A privacy criterion that is explicitly bound to a sensitive attribute.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `attribute` Attribute
    `protected int` | `index` Attribute index

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExplicitPrivacyCriterion(java.lang.String attribute, boolean monotonicWithSuppression, boolean monotonicWithGeneralization)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute()` Returns the associated sensitive attribute.
    `void` | `initialize(org.deidentifier.arx.framework.data.DataManager manager, ARXConfiguration config)` Override this to initialize the criterion.

    - ### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

      `clone, clone, getDataSubset, getMinimalClassSize, getPopulationModel, getRequirements, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, isAnonymous, isLocalRecodingSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isSampleBased, isSubsetAvailable, render, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### attribute

          protected final java.lang.String attribute

      Attribute

    - #### index

          protected int index

      Attribute index

  - ### Constructor Detail

    - #### ExplicitPrivacyCriterion

          public ExplicitPrivacyCriterion(java.lang.String attribute,
                                  boolean monotonicWithSuppression,
                                  boolean monotonicWithGeneralization)

      Creates a new instance
      Parameters:
        `attribute` -
        `monotonicWithSuppression` -
        `monotonicWithGeneralization` -

  - ### Method Detail

    - #### getAttribute

          public java.lang.String getAttribute()

      Returns the associated sensitive attribute.
      Returns:

    - #### initialize

          public void initialize(org.deidentifier.arx.framework.data.DataManager manager,
                        ARXConfiguration config)

      Description copied from class: `PrivacyCriterion`
      Override this to initialize the criterion.
      Overrides:
        `initialize` in class `PrivacyCriterion`
        `config` - TODO